export default {
    //接口网址
    api: "http://127.0.0.1:28978",

    //pnpm dev 使用
    _dev_api: "/",

    //远程配置文件路径(返回内容和conf.js一样),为空不加载
    conf: '',

    //id名,为空随机
    app: 'app',

    //dev模式是否开启mock
    mock: true,

    //视图目录
    view: "view",

    //运行域名
    host: "127.0.0.1",

    //运行端口
    port: "29888",

    dts: {
        //是否生成 auto-imports.d.ts
        auto: false,
        //是否生成 components.d.ts
        component: false
    },

    //layui配置,可选,默认使用
    layui: {
        //关闭src
        status: false
    },

    //favicon 为空不加载, /开头为public目录, 默认开发目录/文件
    favicon: "style/vite.svg",

    //打包完成是否压缩成zip
    zip: true,

    //打包要清空目录,保留那些文件或者目录
    exclude: ['.git']
}